PHP Errors after 1.2.3 upgrade seen

Post support questions that directly relate to Linux/Unix operating systems.

Moderators: Moderators, Developers

Author
Message
seanmancini
Posts: 48
Joined: Wed Mar 13, 2019 3:37 pm
Location: toronto
Contact:

PHP Errors after 1.2.3 upgrade seen

#1 Post by seanmancini » Sat Apr 27, 2019 12:30 am

Hey Everyone,

I am seeing a PHP error since upgrading to 1.2.3
Everything seems to be working fine in terms of graphing and I am not seeing any errors
any one seen this issue ?


2019/04/27 01:27:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_timing' PARMS: ''
2019/04/27 01:27:03 - PHPSVR WARNING: PHP Script File to be included, does not exist
2019/04/27 01:27:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_table' PARMS: ''
2019/04/27 01:27:03 - PHPSVR WARNING: PHP Script File to be included, does not exist
2019/04/27 01:27:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_records' PARMS: ''
2019/04/27 01:27:03 - PHPSVR WARNING: PHP Script File to be included, does not exist
2019/04/27 01:27:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_avg_size' PARMS: ''
2019/04/27 01:27:03 - PHPSVR WARNING: PHP Script File to be included, does not exist
2019/04/27 01:27:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_thold_time' PARMS: ''
2019/04/27 01:27:03 - PHPSVR WARNING: PHP Script File to be included, does not exist
2019/04/27 01:27:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_stats' PARMS: ''
2019/04/27 01:27:03 - PHPSVR WARNING: PHP Script File to be included, does not exist
2019/04/27 01:27:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_time' PARMS: ''
2019/04/27 01:27:03 - PHPSVR WARNING: PHP Script File to be included, does not exist
2019/04/27 01:27:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_stats' PARMS: ''
2019/04/27 01:27:03 - PHPSVR WARNING: PHP Script File to be included, does not exist
2019/04/27 01:27:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_export' PARMS: ''
2019/04/27 01:27:03 - PHPSVR WARNING: PHP Script File to be included, does not exist
2019/04/27 01:27:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_export' PARMS: ''
2019/04/27 01:27:03 - PHPSVR WARNING: PHP Script File to be included, does not exist


My Environment

Cacti Version 1.2.3
Cacti OS unix
RSA Fingerprint 5f:c6:e7:c5:42:82:af:57:cb:65:cf:fb:38:d7:67:51
NET-SNMP Version NET-SNMP version: 5.7.3
RRDtool Version Configured 1.4.0+
RRDtool Version Found 1.5.5
Devices 6
Graphs 69
Data Sources Script/Command: 8
SNMP Get: 5
SNMP Query: 32
Script Server: 25
Total: 70

netniV
Cacti Guru User
Posts: 2928
Joined: Sun Aug 27, 2017 12:05 am

Re: PHP Errors after 1.2.3 upgrade seen

#2 Post by netniV » Sun Apr 28, 2019 1:28 pm

You are missing the ss_poller.php file. That contains the functions that are being reported as missing.

GECODIS
Posts: 1
Joined: Mon Apr 29, 2019 8:26 am

Re: PHP Errors after 1.2.3 upgrade seen

#3 Post by GECODIS » Mon Apr 29, 2019 8:32 am

Hello,


what is the directory where should I create the file to remove the error ?

(i didn't upgrade cacti but i installed directly the version 1.2.3 on Ubuntu 18.04)

seanmancini
Posts: 48
Joined: Wed Mar 13, 2019 3:37 pm
Location: toronto
Contact:

Re: PHP Errors after 1.2.3 upgrade seen

#4 Post by seanmancini » Tue Apr 30, 2019 3:33 pm

Interesting I have ss_poller.php in /var/www/html/cacti/scripts

Should it be in the /cacti main directory?

netniV
Cacti Guru User
Posts: 2928
Joined: Sun Aug 27, 2017 12:05 am

Re: PHP Errors after 1.2.3 upgrade seen

#5 Post by netniV » Thu May 02, 2019 8:18 am

If you look at the poller cache for that item, does it reference the correct path to that script? if so, does the permissions on that file allow the poller user to be able to run the script.

ncariaga
Posts: 7
Joined: Fri Jun 27, 2008 8:38 pm
Contact:

Re: PHP Errors after 1.2.3 upgrade seen

#6 Post by ncariaga » Mon May 06, 2019 9:15 am

Same problem here. I did a clean install of version 1.2.3 and couldn't find ss_poller.php in the ../scripts/ directory. I'm thinking of getting the old ss_poller.php from archived files. Will that work?

ncariaga
Posts: 7
Joined: Fri Jun 27, 2008 8:38 pm
Contact:

Re: PHP Errors after 1.2.3 upgrade seen

#7 Post by ncariaga » Tue May 07, 2019 9:04 am

ncariaga wrote:Same problem here. I did a clean install of version 1.2.3 and couldn't find ss_poller.php in the ../scripts/ directory. I'm thinking of getting the old ss_poller.php from archived files. Will that work?
I tried copying the old file (MD5 sum 8a238dddf69161df65a7a70cbfdba5a7 )into the folder and found this warnings:

2019/05/07 21:57:06 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_timing' PARMS: ''
2019/05/07 21:57:06 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_table' PARMS: ''
2019/05/07 21:57:06 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_records' PARMS: ''
2019/05/07 21:57:06 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_avg_size' PARMS: ''
2019/05/07 21:57:06 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_thold_time' PARMS: ''
2019/05/07 21:57:06 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_stats' PARMS: ''
2019/05/07 21:57:06 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_time' PARMS: ''
2019/05/07 21:57:06 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_stats' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_timing' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_table' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_records' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_avg_size' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_thold_time' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_stats' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_time' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_stats' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_timing' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_table' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_records' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_boost_avg_size' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_thold_time' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_stats' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_time' PARMS: ''
2019/05/07 21:57:03 - PHPSVR WARNING: Function does not exist INC: 'ss_poller.php' FUNC: 'ss_syslog_stats' PARMS: ''

I was wondering where can I download the updated ss_poller.php file. Thank you in advance.

netniV
Cacti Guru User
Posts: 2928
Joined: Sun Aug 27, 2017 12:05 am

Re: PHP Errors after 1.2.3 upgrade seen

#8 Post by netniV » Fri May 17, 2019 3:58 pm

I'll be honest, I dont even know where that file comes from as it isnt in our main github sources. It must be a third party script or one from a really old version of cacti.

MasonL
Posts: 25
Joined: Mon May 13, 2019 1:07 pm
Location: Florida, USA

Re: PHP Errors after 1.2.3 upgrade seen

#9 Post by MasonL » Wed Jul 17, 2019 3:14 pm

I have the same "Function does not exist" errors, anyone find a solution to this?
Most of what I say is targeted guessing...

Cacti: 1.2.3
OS: Windows Server 2008 r2

User avatar
camerabob
Cacti User
Posts: 292
Joined: Fri Feb 10, 2017 2:45 pm
Location: Long Island, New York, USA
Contact:

Re: PHP Errors after 1.2.3 upgrade seen

#10 Post by camerabob » Thu Jul 18, 2019 7:05 am

You all with issues, post lists of your plugins. May have something to do with one of those. I don't have that file on any of my CentOS installs.
See the Cacti 1.x templates I use at: http://www.camerabob.com/cacti

Live: Cacti 1.2.3 @ CentOS 7-6.1810.2.el7 & PHP 5.4.16-46.el7
Flowview @ 2.1
Mactrack @ 4.2
Maint @ 1.2
Monitor @ 2.3.6
Thold @ 1.2.4

Test: Cacti 1.2.6-1.el7 @ CentOS 7-7.1908.0.el7 & PHP 5.4.16-46.el7
Maint @ 1.2
Monitor @ 2.3.6
Thold @ 1.2.4

netniV
Cacti Guru User
Posts: 2928
Joined: Sun Aug 27, 2017 12:05 am

Re: PHP Errors after 1.2.3 upgrade seen

#11 Post by netniV » Thu Jul 18, 2019 7:08 am

I'm wondering if this is a package/template rather than a plugin...

User avatar
camerabob
Cacti User
Posts: 292
Joined: Fri Feb 10, 2017 2:45 pm
Location: Long Island, New York, USA
Contact:

Re: PHP Errors after 1.2.3 upgrade seen

#12 Post by camerabob » Thu Jul 18, 2019 7:11 am

Good point, being that one of the above posts references the './scripts/' folder.
See the Cacti 1.x templates I use at: http://www.camerabob.com/cacti

Live: Cacti 1.2.3 @ CentOS 7-6.1810.2.el7 & PHP 5.4.16-46.el7
Flowview @ 2.1
Mactrack @ 4.2
Maint @ 1.2
Monitor @ 2.3.6
Thold @ 1.2.4

Test: Cacti 1.2.6-1.el7 @ CentOS 7-7.1908.0.el7 & PHP 5.4.16-46.el7
Maint @ 1.2
Monitor @ 2.3.6
Thold @ 1.2.4

MasonL
Posts: 25
Joined: Mon May 13, 2019 1:07 pm
Location: Florida, USA

Re: PHP Errors after 1.2.3 upgrade seen

#13 Post by MasonL » Thu Jul 18, 2019 11:21 am

No plugins here, just "basic" cacti.
Most of what I say is targeted guessing...

Cacti: 1.2.3
OS: Windows Server 2008 r2


User avatar
Osiris
Cacti Pro User
Posts: 863
Joined: Mon Jan 05, 2015 10:10 am

Re: PHP Errors after 1.2.3 upgrade seen

#15 Post by Osiris » Thu Jul 18, 2019 8:33 pm

Yea, I noted this too. It was not in the package. But it's in the 1.2.5 package for sure. Importing that package will fix the problem.
Before history, there was a paradise, now dust.

Post Reply